SessionControllerGetSession Method

GET /Session/{id} Gets information about a session.

Namespace:  Dundas.BI.WebApi.Controllers
Assembly:  Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (9.0.0.1000)
Syntax
[HttpGetAttribute]
[ActionNameAttribute("Index")]
public HttpResponseMessage GetSession(
	Guid id,
	bool includeSecureAttributes = false,
	Nullable<Guid> sessionId = null
)

Parameters

id
Type: SystemGuid
The ID of the session which will be retrieved.
includeSecureAttributes (Optional)
Type: SystemBoolean
A flag indicating whether or not to include secure custom attribute values. Flag is ignored if caller isn't an administrator.
sessionId (Optional)
Type: SystemNullableGuid
The ID of the current session.

Return Value

Type: HttpResponseMessage
A SessionData object containing the requested information, or a status code indicating the reason for failure.
See Also